<qt title="Confirmation">

<p>
You are about to install the <b>Volution(TM) Messaging Server</b>.  There is only one installation profile: full install.
</p><p>
Please note the following...  This installation
<ul>
<li>does not utilize the Sendmail mail transfer
    agent and hence will actually conflict with existing Sendmail
    installations (Sendmail is the default mail transfer agent used by
    OpenLinux Server),
<li> utilizes a version of IMAP that does not ship with OpenLinux Server,
    and
<li>attempts to expand existing LDAP configuration data, if LDAP is currently installed
    and in use on your system.
</ul>
</p><p>
In order to install the <b>Volution(TM) Messaging Server</b>, the installation
routine will perform the following actions:
<ul>
<li>Sendmail, if installed, will be removed,
<li>IMAP, if installed, will be removed, and
<li>existing LDAP configuration data will be altered, and there is a slight
    chance that configuration data will be reset to better suit the
    operation of the server.
</ul>
This is necessary for proper operation of the system.  Please be sure this is 
what you want before continuing!  
</p><p>
If this is not what you want, please cancel the installation,
back up any Sendmail and/or LDAP configuration data that you wish to
preserve, then re-start the installation.
</p><p>
If the forementioned changes are okay, click on the <b>Continue</b> button to proceed with the
installation...
</p>

</qt>
