<qt title="End User License Agreement">

<h1>Caldera Volution Messaging Server 60 Day Evaluation</h1>
<h1>End-User License Agreement</h1>
<h2>Caldera International, Inc.</h2>


<p>
<i>Do not install or use Caldera Volution Messaging Server until you 
have read and accepted this Agreement.  By installing or using Caldera Volution
Messaging Server you acknowledge that you have read this License Agreement and
understand it, and you agree to be bound by its terms and conditions.</i>
</p><p> 
<b>If you do not agree to this Agreement:</b>
</p><p>
(a) you must not install or use Caldera Volution Messaging Server, and 
</p><p>
(b) you may return the Caldera Volution Messaging Server, including 
all packaging, media, and documentation to the place of purchase for 
a refund, provided that the return is made within thirty days of the 
date of purchase.
</p><p>
<b>NOTE:  THIS SOFTWARE IS NOT INTENDED TO BE RUN IN A CUSTOMER 
PRODUCTION ENVIRONMENT.  THIS SOFTWARE IS HEREBY LICENSED TO LICENSEE 
FOR AN INITIAL SIXTY (60) DAYS EVALUATION LICENSE PERIOD AFTER WHICH AN 
ERROR MESSAGE WILL BE DISPLAYED AND THE sOFTWARE WILL BECOME NON-FUNCTIONAL.  
THEREAFTER, THE FULLY OPERATIONAL MEDIA KIT AND LICENSE IS AVAILABLE 
FOR PURCHASE BY LICENSEE.</b>
</p><p>
<b>1.      Licensee.</b>
</p><p>
"Licensee" is the person, company or entity who uses this Caldera Volution 
Messaging Server Product.  The Licensee must accept and agree to this 
Agreement before installing or using the Caldera Volution Messaging 
Server Product.
</p><p>
<b>2.      Caldera Volution Messaging Server Product</b>
</p><p>
The "Volution Messaging Server Product" includes four categories of 
computer programs (Software):  Caldera International Software, GPL 
Software, Artistic License Software, Other License Software. The term 
"Software" is used to mean any or all of the Caldera International 
Software, GPL Software, Artistic License Software, and Other License Software.
</p><p>
  (a) "Caldera International Software" comprises of the following computer 
programs: 1. Volution Messaging Server Installation Tools 2. Volution 
Messaging Server administration manager VolutionMS Administrator. 3. Outlook 
configuration tools. Caldera International (or its licensor, if and as 
applicable) owns the copyrights and intellectual property in and to each 
item of Caldera International Software. Caldera International Software 
is licensed by Caldera International to Licensee through the License of 
Section 4 below.  If a licensor rather than Caldera International owns the 
copyrights and intellectual property to an item of Caldera International 
Software, then the License granted by Caldera is a sublicense with respect 
to such item. Licensee is not entitled to any Caldera International Software 
source code unless, and only to the extent that, such source code is 
included by Caldera International in the Volution Messaging Server Product 
(in which case such source code is included in the Caldera International 
Software licensed by Caldera International under the License of Section 4 
below).
</p><p>
  (b) "GPL Software" consists of the following computer programs: GQ GTK-based 
LDAP client, arranged and coordinated by Caldera International for inclusion 
in this Volution Messaging Server Product. GPL Software is not owned by 
Caldera International.  GPL Software is distributed by Caldera International 
to Licensee for use by Licensee.  GPL Software is distributed under the terms 
of the GNU General Public License, Version 2, June 1991, a copy of which 
accompanies this Volution Messaging Server Agreement.  The GNU General Public 
License governs the GPL Software and the copying, distribution and modification
of the GPL Software.  GPL Software source code is included in the GPL Software 
distributed to Licensee consistent with the requirements of the GNU Public 
License.
</p><p>
  (c)"Artistic License Software" consists of the following computer programs: 
Perl Convert::ASN1 module, Perl-LDAP module, arranged and coordinated by 
Caldera International for inclusion in this Volution Messaging Server Product. 
Artistic License Software is not owned by Caldera International. Artistic 
License Software is distributed by Caldera International to Licensee for 
use by Licensee.  Artistic License Software is distributed under the terms 
of the Artistic License, a copy of which accompanies this Volution Messaging 
Server Product and may be found in /doc/licenses/artistic.txt on this CD-ROM.  
The Artistic License governs the Artistic License Software and the copying, 
distribution and modification of the Artistic License Software.  Artistic 
License Software source code is included in the Artistic License Software 
distributed to Licensee consistent with the requirements of the Artistic 
License.
</p><p>
  (d)"Other License Software" consists of the following computer programs: 
Berkeley Database toolkit version 3.3.11, Berkeley Database development 
libraries version 3.3.11, Cyrus SASL, Cyrus imapd, Postfix Mail Transport 
Agent, arranged and coordinated by Caldera International for inclusion in 
this Volution Messaging Server Product.  Other License Software is not owned 
by Caldera International.  Other License Software is distributed by Caldera 
International to Licensee for use by Licensee.  Other License Software is 
distributed under the terms of their respective licenses, copies of which 
accompany this Volution Messaging Server Product in the /doc/licenses 
directory of this CD-ROM as follows: for Berkeley Database toolkit version 
3.3.11, see /doc/licenses/sleepycat.txt; for Berkeley Database development 
libraries version 3.3.11, see /doc/licenses/sleepycat.txt; for Cyrus SASL, 
see /doc/licenses/cmu.txt; for Cyrus imapd, see /doc/licenses/cmu.txt; for 
Postfix Mail Transport Agent, see /doc/licenses/ibmpl.txt.  Those licenses 
govern the Other License Software and the copying, distribution and 
modification of the Other License Software. Other License Software source 
code is included in the Other License Software distributed to Licensee 
consistent with the requirements of those licenses.
</p><p>
  (e) Licensed, Not Sold.  Caldera International Software, GPL Software, 
Artistic License Software, and Other License Software are not sold, but are 
licensed and distributed to Licensee. Any reference to the purchase or sale 
of the Volution Messaging Server Product means, with respect to the Caldera 
International Software a purchase or sale of the applicable license.  The 
license fees for such licenses are included in the Volution Messaging Server 
purchase price.  No fee is charged for any GPL Software license, Artistic 
License Software license, or Other License Software licenses, but a fee 
for distribution (e.g., transferring a copy or copies to Licensee) 
is included in the Volution Messaging Server purchase price.  Ownership of 
copies of Caldera International Software, GPL Software, Artistic License 
Software, or Other License Software is governed by the applicable license 
agreement. 
</p><p>
  (f) Maintenance Releases. All maintenance releases, fixes, patches, 
work-around solutions, upgrades, and updates for or to the Caldera 
International Software, GPL Software, Artistic License Software, or 
Other License Software made available by Caldera International or 
its distributors, OEMs, VARs or other resellers to Licensee shall be 
deemed part of the Caldera International Software, GPL Software, 
Artistic License Software, or Other License Software as applicable, and 
shall be governed by this Agreement and the license agreements referred 
to herein, unless a different license agreement is provided with or 
made applicable to such maintenance releases, fixes, patches, work-around 
solutions, upgrades, and updates.
</p><p>
<b>3.      Documentation.</b> 
</p><p>
"Documentation" means the online documentation and printed documentation, if 
any, provided to Licensee in connection with this Volution Messaging Server 
Product.  Whenever the context reasonably permits, any reference in this 
Agreement to Caldera International Software shall also apply to Documentation.
The Documentation may be used by Licensee, but only in connection with this 
Volution Messaging Server Product.
</p><p>
<b>4.      License of Caldera International Software.</b>
</p><p>
Subject to the other provisions of this Agreement, Caldera International 
grants to Licensee a nonexclusive, nontransferable license to use the Caldera 
International Software (the  License).  Rights to Caldera International 
Software not expressly granted to Licensee in this Agreement are reserved 
by Caldera International.
</p><p>
<b>5.      Copies of Caldera International Software.</b>
</p><p>
Licensee may make copies of Caldera International Software provided that 
all Caldera International trademark and copyright notices are faithfully 
reproduced and included on copies made by Licensee.
</p><p>
<b>6.      Protection Of Caldera International Software.</b>
</p><p>
Generally.  Except as expressly authorized in this Agreement, Licensee 
may not: 
</p><p>
(i) disassemble, decompile or otherwise reverse engineer Caldera International 
Software, or
</p><p>
(ii) create derivative works based upon Caldera International Software, or  
</p><p>
(iii) rent, lease, sublicense, distribute, transfer, modify or timeshare 
Caldera International Software, or
</p><p>
(iv) allow any third party to access or use Caldera International Software, or 
</p><p>
(v) modify Caldera International Software (including any deletion of code 
from or addition of code to the Software).
</p><p>
<b>7.      Limited Warranty.</b>
</p><p>
(a) Media And Documentation.  Caldera International warrants that if the 
Volution Messaging Server media or printed Documentation, if any, provided 
by Caldera International are in a damaged or physically defective condition 
when delivered and if they are returned to Caldera International (postage 
prepaid) within 30 days of the date of purchase, then Caldera International 
will provide Licensee with replacements at no charge.
</p><p>
(b) Caldera International Software.  Caldera International provides no 
warranty for the Volution Messaging Server software.  The software is provided 
"as is" with no representation of any kind nor any guaranteed level of 
support to the user.
</p><p>
</qt>
(c) GPL Software, Artistic License Software and Other License Software. 
Pursuant to the GNU General Public License, Artistic License, and licenses 
for Other License Software, there is no warranty applicable to GPL Software, 
Artistic License Software, or other.
</p><p>
<b>8.      Disclaimers And Limitations.</b>
</p><p>
(a)    Disclaimer Of Warranties.  CALDERA INTERNATIONAL MAKES NO WARRANTY, 
PROMISE OR REPRESENTATION NOT EXPRESSLY SET FORTH IN THIS AGREEMENT. 
EXCEPT AS EXPRESSLY WARRANTED HEREIN, THE CALDERA INTERNATIONAL SOFTWARE 
IS PROVIDED "AS IS" WITHOUT WARRANTY OR REPRESENTATION OF ANY KIND. 
GPL SOFTWARE AND ARTISTIC LICENSE SOFTWARE ARE PROVIDED "AS IS" WITHOUT 
WARRANTY OR REPRESENTATION OF ANY KIND.  CALDERA INTERNATIONAL DISCLAIMS 
AND EXCLUDES ALL IMPLIED WARRANTIES INCLUDING, WITHOUT LIMITATION, THE 
IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTABILITY AND FITNESS 
FOR A PARTICULAR PURPOSE.  CALDERA INTERNATIONAL DOES NOT WARRANT THAT 
ANY OF THE SOFTWARE WILL SATISFY LICENSEE'S REQUIREMENTS OR THAT IT IS 
WITHOUT DEFECT OR ERROR OR THAT THE OPERATION THEREOF WILL BE UNINTERRUPTED.  
THIS AGREEMENT GIVES LICENSEE SPECIFIC LEGAL RIGHTS.  LICENSEE MIGHT HAVE 
OTHER RIGHTS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION.
</p><p>
(b)    Limitation On Liability.  THE AGGREGATE LIABILITY OF CALDERA 
INTERNATIONAL ARISING FROM OR RELATING TO THIS AGREEMENT OR ANY OF THE 
SOFTWARE (REGARDLESS OF THE FORM OF ACTION OR CLAIM - E.G., CONTRACT, 
WARRANTY, TORT, STRICT LIABILITY, MALPRACTICE, AND/OR OTHERWISE) SHALL 
NOT EXCEED THE TOTAL PAYMENT MADE BY LICENSEE TO PURCHASE THIS 
VOLUTION MESSAGING SERVER LICENSE.  CALDERA INTERNATIONAL SHALL NOT 
IN ANY CASE BE LIABLE FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, 
INDIRECT OR PUNITIVE DAMAGES, OR FOR LOSS OF PROFIT, REVENUE, DATA, 
OR PROGRAMS, EVEN IF CALDERA INTERNATIONAL HAS BEEN ADVISED OF THE 
POSSIBILITY THEREOF.  BECAUSE SOME STATES/JURISDICTIONS DO NOT ALLOW 
THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MIGHT 
NOT APPLY.
</p><p>
(c)    Responsibility For Decisions.  Licensee is responsible for 
decisions made and actions taken based on the Software..
</p><p>
(d)    Non-Parties.  The officers, directors, employees, shareholders 
and representatives of Caldera International are not parties to this 
Agreement and shall have no obligation or liability to Licensee relating 
to this Agreement or the Software.
</p><p>
<b>9.      Sole Remedy And Allocation Of Risk.</b>
</p><p>
LICENSEE'S SOLE AND EXCLUSIVE REMEDY IS SET FORTH IN THIS AGREEMENT.
This Agreement defines a mutually agreed-upon allocation of risk and the 
License fees reflect such allocation of risk.
</p><p>
<b>10.     Support.</b>
</p><p>
Nothing in this Agreement entitles Licensee to any support, maintenance or 
new versions or distributions of any Software.  Licensee may contact 
Caldera International to determine the availability of support, maintenance 
and new versions and distributions of Software, and the fees, terms and 
conditions applicable thereto.
</p><p>
<b>11.     Governing Law.</b>
</p><p>
This Agreement shall be governed by the laws of the state of Utah and the 
United States of America without giving effect to conflict or choice of law 
principles.  The parties agree to exclude application of the "United Nations 
Convention on Contracts for the International Sale of Goods" to this Agreement.
Any litigation between the parties shall be conducted exclusively in Utah state 
courts or the federal district courts within Utah.  The parties agree and 
submit to such exclusive jurisdiction and venue.
</p><p>
<b>12.     Entire Agreement.</b>
</p><p>
This Agreement sets forth the entire understanding and agreement between the 
parties relating to the subject matter of this Agreement and may be amended 
only in a writing signed by both parties.  No vendor, distributor, OEM, VAR, 
reseller, dealer, retailer, sales person or other person is authorized by 
Caldera International to modify this Agreement or to make any warranty, 
representation or promise which is different than, or in addition to, the 
warranties, representations and promises of this Agreement.
</p><p>
<b>13.     Termination.</b>
</p><p>
The License shall automatically terminate if Licensee materially breaches this 
Agreement.  Upon termination of the License, Licensee shall cease all use of 
the Caldera International Software and shall destroy all copies of the Caldera 
International Software within the possession or control of Licensee and shall 
return the original Caldera International Software media and Documentation, 
if any, to Caldera International.
</p><p>
<b>14.     Government End Users.</b>
</p><p>
A "U.S. Government End User" shall mean any agency or entity of the government 
of the United States.  If Licensee is a U.S. Government End User, then this 
Subsection (14) shall apply.  The Caldera International Software is a 
"commercial item," as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), 
consisting of "commercial computer software" and "commercial computer software 
documentation," as such terms are used in 48 C.F.R. 12.312 (Sept. 1995).  
Consistent with 48 C.F.R. 12.312 and 48 C.F.R. 227.7202-1 through 227.7202-4 
(June 1995), all U.S. Government End Users acquire the Caldera International 
Software with only those rights set forth herein. The Caldera International 
Software (including related documentation) is provided to U.S. Government End 
Users: (a) only as a commercial end item; and (b) only pursuant to this 
Agreement.
</p><p>
<b>15.     Export Laws.</b>
</p><p>
Licensee shall not export, disclose or distribute any Software in violation 
of any applicable laws or regulations, including the export laws and 
regulations of the United States, and shall comply with all such laws and 
regulations.
</p><p>
<b>16.     Construction.</b>
</p><p>
In the construction and interpretation of this Agreement, no rule of strict 
construction shall apply against either party..
</p><p>
<b>17.     Severability.</b>
</p><p>
If any provision in this Agreement is invalid or unenforceable or contrary 
to applicable law, such provision shall be construed, limited, or altered, 
as necessary, to eliminate the invalidity or unenforceability or the conflict 
with applicable law, and all other provisions of this Agreement shall remain 
in effect.
</p><p><br/>
<i>Copyright (c) 2001 - 2002 Caldera International, Inc.  All Rights Reserved.  
	End User License Agreement is subject to revisions.  Please see www.caldera.com for any updates.
</p><p><br/>

<hr/><br/>

Attachment: Copy of GNU General Public License
<br/>
<b>GNU GENERAL PUBLIC LICENSE</b>
</p><p>
Version 2, June 1991
</p><p>
Copyright (C) 1989, 1991 Free Software Foundation, Inc.<br/>
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA<br/>
Everyone is permitted to copy and distribute verbatim copies of this
license document, but changing it is not allowed.
</p>

<b>Preamble</b>
<p>
The licenses for most software are designed to take away your freedom
to share and change it. By contrast, the GNU General Public License is
intended to guarantee your freedom to share and change free software--to
make sure the software is free for all its users. This General Public
License applies to most of the Free Software Foundation's software and
to any other program whose authors commit to using it. (Some other Free
Software Foundation software is covered by the GNU Library General Public
License instead.) You can apply it to your programs, too.
</p><p>
When we speak of free software, we are referring to freedom, not
price. Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it in
new free programs; and that you know you can do these things. To protect
your rights, we need to make restrictions that forbid anyone to deny you
these rights or to ask you to surrender the rights. These restrictions
translate to certain responsibilities for you if you distribute copies
of the software, or if you modify it.
</p><p>
For example, if you distribute copies of such a program, whether gratis or
for a fee, you must give the recipients all the rights that you have. You
must make sure that they, too, receive or can get the source code. And
you must show them these terms so they know their rights.
</p><p>
We protect your rights with two steps: (1) copyright the software,
and (2) offer you this license which gives you legal permission to
copy, distribute and/or modify the software.  Also, for each author's
protection and ours, we want to make certain that everyone understands
that there is no warranty for this free software. If the software is
modified by someone else and passed on, we want its recipients to know
that what they have is not the original, so that any problems introduced
by others will not reflect on the original authors' reputations.
</p><p>
Finally, any free program is threatened constantly by software
patents. We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary. To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.
</p><p>
The precise terms and conditions for copying, distribution and
modification follow.
</p>

<b>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</b>
<hr/><br/>

<p>
0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License. The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it, either
verbatim or with modifications and/or translated into another language.
</p><p>
(Hereinafter, translation is included without limitation in the term
"modification".) Each licensee is addressed as "you".
</p><p>
Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope. The act of running
the Program is not restricted, and the output from the Program is covered
only if its contents constitute a work based on the Program (independent
of having been made by running the Program). Whether that is true depends
on what the Program does.
</p><p>
1. You may copy and distribute verbatim copies of the Program's source
code as you receive it, in any medium, provided that you conspicuously
and appropriately publish on each copy an appropriate copyright notice
and disclaimer of warranty; keep intact all the notices that refer to
this License and to the absence of any warranty; and give any other
recipients of the Program a copy of this License along with the Program.
</p><p>
You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.
</p><p>
2. You may modify your copy or copies of the Program or any portion of
it, thus forming a work based on the Program, and copy and distribute
such modifications or work under the terms of Section 1 above, provided
that you also meet all of these conditions:
</p><p>
a) You must cause the modified files to carry prominent notices stating
that you changed the files and the date of any change.
</p><p>
b) You must cause any work that you distribute or publish, that in whole
or in part contains or is derived from the Program or any part thereof,
to be licensed as a whole at no charge to all third parties under the
terms of this License.
</p><p>
c) If the modified program normally reads commands interactively when
run, you must cause it, when started running for such interactive use in
the most ordinary way, to print or display an announcement including an
appropriate copyright notice and a notice that there is no warranty (or
else, saying that you provide a warranty) and that users may redistribute
the program under these conditions, and telling the user how to view a
copy of this License. (Exception: if the Program itself is interactive
but does not normally print such an announcement, your work based on
the Program is not required to print an announcement.)
</p><p>
These requirements apply to the modified work as a whole. If identifiable
sections of that work are not derived from the Program, and can be
reasonably considered independent and separate works in themselves,
then this License, and its terms, do not apply to those sections when
you distribute them as separate works. But when you distribute the same
sections as part of a whole which is a work based on the Program, the
distribution of the whole must be on the terms of this License, whose
permissions for other licensees extend to the entire whole, and thus to
each and every part regardless of who wrote it.
</p><p>
Thus, it is not the intent of this section to claim rights or contest your
rights to work written entirely by you; rather, the intent is to exercise
the right to control the distribution of derivative or collective works
based on the Program.
</p><p>
In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of a
storage or distribution medium does not bring the other work under the
scope of this License.
</p><p>
3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:
</p><p>
a) Accompany it with the complete corresponding machine-readable source
code, which must be distributed under the terms of Sections 1 and 2
above on a medium customarily used for software interchange; or,
</p><p>
b) Accompany it with a written offer, valid for at least three years, to
give any third party, for a charge no more than your cost of physically
performing source distribution, a complete machine-readable copy of the
corresponding source code, to be distributed under the terms of Sections
1 and 2 above on a medium customarily used for software interchange; or,
</p><p>
c) Accompany it with the information you received as to the offer to
distribute corresponding source code. (This alternative is allowed only
for noncommercial distribution and only if you received the program
in object code or executable form with such an offer, in accord with
Subsection b above.)
</p><p>
The source code for a work means the preferred form of the work for making
modifications to it. For an executable work, complete source code means
all the source code for all modules it contains, plus any associated
interface definition files, plus the scripts used to control compilation
and installation of the executable. However, as a special exception,
the source code distributed need not include anything that is normally
distributed (in either source or binary form) with the major components
(compiler, kernel, and so on) of the operating system on which the
executable runs, unless that component itself accompanies the executable.
</p><p>
If distribution of executable or object code is made by offering access
to copy from a designated place, then offering equivalent access to
copy the source code from the same place counts as distribution of the
source code, even though third parties are not compelled to copy the
source along with the object code.
</p><p>
4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License. Any attempt otherwise
to copy, modify, sublicense or distribute the Program is void, and will
automatically terminate your rights under this License. However, parties
who have received copies, or rights, from you under this License will
not have their licenses terminated so long as such parties remain in
full compliance.
</p><p>
5. You are not required to accept this License, since you have not
signed it.   However, nothing else grants you permission to modify
or distribute the Program or its derivative works. These actions are
prohibited by law if you do not accept this License. Therefore, by
modifying or distributing the Program (or any work based on the Program),
you indicate your acceptance of this License to do so, and all its terms
and conditions for copying, distributing or modifying the Program or
works based on it.
</p><p>
6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.   You may not impose any further restrictions
on the recipients' exercise of the rights granted herein. You are not
responsible for enforcing compliance by third parties to this License.
</p><p>
7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License. If you cannot distribute
so as to satisfy simultaneously your obligations under this License
and any other pertinent obligations, then as a consequence you may not
distribute the Program at all.  For example, if a patent license would
not permit royalty-free redistribution of the Program by all those who
receive copies directly or indirectly through you, then the only way you
could satisfy both it and this License would be to refrain entirely from
distribution of the Program.
</p><p>
If any portion of this section is held invalid or unenforceable under any
particular circumstance, the balance of the section is intended to apply
and the section as a whole is intended to apply in other circumstances.
</p><p>
It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any such
claims; this section has the sole purpose of protecting the integrity of
the free software distribution system, which is implemented by public
license practices. Many people have made generous contributions to the
wide range of software distributed through that system in reliance on
consistent application of that system; it is up to the author/donor to
decide if he or she is willing to distribute software through any other
system and a licensee cannot impose that choice.
</p><p>
This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.
</p><p>
8. If the distribution and/or use of the Program is restricted in certain
countries either by patents or by copyrighted interfaces, the original
copyright holder who places the Program under this License may add an
explicit geographical distribution limitation excluding those countries,
so that distribution is permitted only in or among countries not thus
excluded. In such case, this License incorporates the limitation as if
written in the body of this License.
</p><p>
9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time. Such new versions will
be similar in spirit to the present version, but may differ in detail
to address new problems or concerns.
</p><p>
Each version is given a distinguishing version number. If the Program
specifies a version number of this License which applies to it and
"any later version", you have the option of following the terms and
conditions either of that version or of any later version published by
the Free Software Foundation. If the Program does not specify a version
number of this License, you may choose any version ever published by
the Free Software Foundation.
</p><p>
10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission. For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.   Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software
and of promoting the sharing and reuse of software generally.
</p>

<b>NO WARRANTY</b>
<p>
11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO
WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE
COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM
"AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR
IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE
ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM
IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME
THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
</p><p>
12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO
IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO
MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED
ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL,
SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT
LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR
LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE
PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH
HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES.
</p><p>
END OF TERMS AND CONDITIONS
</p>

</qt>
