Name        	: libmcrypt 
Version     	: 2.4.15
Release     	: 1 
Group       	: System/Library

Summary     	: library which implements all the algorithms and modes found in mcrypt

Copyright   	: GPL
Packager    	: Christian Hueller <ch@caldera.de>
# Author	: Nikos Mavroyanopoulos <http://members.hellug.gr/nmav>
URL		: http://members.hellug.gr/nmav
Source0		: ftp://mcrypt.hellug.gr/pub/mcrypt/libmcrypt/%{Name}-%{Version}.tar.gz

BuildRoot   	: /tmp/%{Name}-%{Version}


%Description
libmcrypt is the library which implements all the algorithms and modes found in mcrypt. 
It is currently under development but it seems to work pretty good.
Unlike most encryption libraries libmcrypt does not have everything (random number generators, 
hashes, hmac implementation, key exchange, public key encryption etc.).
Libmcrypt only implements an interface to access block and stream encryption algorithms. 
It's purpose was to assist in the development of mcrypt by providing a uniform interface 
to access several different encryption algorithms, so that the main program is independent 
of the encryption algorithms and the modes used




%Prep
%setup


%Build
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr 
make


%Install
%{mkDESTDIR}

make install prefix=$DESTDIR/usr


%{fixManPages}
%{fixInfoPages}
%{mkLists} -c %{Name}
#%{mkLists} -d %{Name}

%Post
ldconfig



%Clean
%{rmDESTDIR}

%Files -f files-%{Name}
%defattr(-,root,root)

%ChangeLog
* Mon Jan 01 1998 ...
Template Version: 1.31

$Id: libmcrypt.spec,v 1.2 2001/07/25 09:14:04 ch Exp $
