<?php
/*
 * Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
 */

	$_TITLEICON = 'main_ico_alias.gif';
	$_TITLEGRAPHIC = 'main_title_viewaliases.gif';
	$_BUTTON_BACK = true;
	$_BUTTON_BACK_LINK = 'return Back()';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_aliasview\')';

	$_ADDITIONAL_HEADERS = '
	<script language="JavaScript" src="../admin/aliasview.js"></script>
	';

	$alias = new Alias($mail);

	if ($alias == "") {
		$_ALIAS = $mail;
		$lnav = new LNav();
		$lnav->add('Find Alias', 'return Overwrite(\'aliassearch.php\')');
		$lnav->add('View All', 'return Overwrite(\'aliasbrowse.php\')');
		$_LOCALNAV = $lnav->render();
		$_DIALOG_CONTENT = File::parseFile('./admin/content/aliasnonesuch.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

		return;
	}

	$members = new MemberList($alias, $HTTP_GET_VARS, "member:$_SERIAL");
	$table = $members->getTable();
	include("./admin/template/tablesettings.php");
	$members->setTable($table);

	$_COUNT = $members->count();
	if ($style == "list") {
		$_TABLE = $members->renderList();
		$_TABLENAV = "";
	} else {
		$_TABLE = $members->render();
		$_TABLENAV = $members->getNav();
	}

	if (count($alias->owners) > 0) {
		unset($tmp);
		foreach ($alias->owners as $owner) {
			$tmp[] = '<a href="userview.php?mail=' .
				rawurlencode($owner) .  '">' . 
				$owner .  '</a>';
		}
		$_OWNERS = join(', ', $tmp);
		unset($tmp);
	} else {
		$_OWNERS = '&nbsp;';
	}

	if (count($alias->files) > 0) {
		$_FILES = $alias->files[0];
	} else {
		$_FILES = '&nbsp;';
	}

	if (count($alias->programs) > 0) {
		$_PROGRAMS = $alias->programs[0];
	}  else {
		$_PROGRAMS = '&nbsp;';
	}

	$_MEMBERS_TITLE  = "Members";
	$_MEMBERS_TITLE .= " ($_COUNT)";
	$_MEMBERS_TITLE .= ' <span class="boxstylenav">[';
	$_MEMBERS_TITLE .= '<a class="boxstylenav" href="' . $_SELF .
			    '?mail=' . $mail . '&style=table">';
	$_MEMBERS_TITLE .= "table";
	$_MEMBERS_TITLE .= '</a> | ';
	$_MEMBERS_TITLE .= '<a class="boxstylenav" href="' . $_SELF .
			    '?mail=' . $mail . '&style=list">';
	$_MEMBERS_TITLE .= "list";
	$_MEMBERS_TITLE .= '</a>]</span>';

	if (isset($userList->filter)) {
		if ($userList->filter->getAttr() == "") {
			$_CONDITION = "matching \"" .
					$userList->filter->getValue() .
					"\"";
		} else {
			$_CONDITION = "where" . " " .
					$userList->filter->getAttr() . " " .
					$userList->filter->getOp()   . " " .
					"\"" . 
					$userList->filter->getValue() .
					"\"";
		}
	}

	$lnav = new LNav();
	$lnav->add('Modify', 'return Modify(\'' . $alias->mail . '\')');
	$lnav->add('Members', 'return AddMembers(\'' . $alias->mail . '\')');
	$lnav->add('Owners', 'return AddOwners(\'' . $alias->mail . '\')');
	//$lnav->add('Programs/Files', 'return ProgramsFiles(\'' . $alias->mail . '\')');
	$lnav->add('Delete', 'return Delete(\'' . $alias->mail . '\')');
	$_LOCALNAV = $lnav->render();

	$_DIALOG_CONTENT = File::parseFile('./admin/content/' . $_SELF);
	$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();
	$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
?>
