<?php
/*
 * Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
 */

	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_userchangepw\')';

	session_register('passthru_user');
	session_register('passthru_newpw');
	session_register('passthru_oldpw');

	if (! isset($passthru_newpw)) {
		$passthru_user  = $uid;
		$passthru_newpw = Authenticate::encryptString($newpw, $session_key);
		$passthru_oldpw = Authenticate::encryptString($oldpw, $session_key);
		// the x=1 is to keep netscape from getting confused
		gotoURL("$_SELF?x=1");
		return;
	} else {
		$success = Authenticate::changepw();
		$save = $passthru_user;
		unset($passthru_user);
		unset($passthru_newpw);
		unset($passthru_oldpw);
		session_unregister('passthru_user');
		session_unregister('passthru_newpw');
		session_unregister('passthru_oldpw');
	}

	if ($save == $session_user) {
		$_TITLEICON = 'main_ico_adminpassword.gif';
		$_TITLEGRAPHIC = 'main_title_adminpassword.gif';
	} else {
		$_TITLEICON = 'main_ico_changepassword.gif';
		$_TITLEGRAPHIC = 'main_title_changepassword.gif';
	}

	if ($success) {
		$_TITLE = '';
		$_MESSAGE = 'The password for user ' . $save .
			' was successfully changed.';

		$lnav = new LNav();
		$lnav->add('View User', 'return Overwrite(\'userview.php?uid=' . $save . '\')');
		$_LOCALNAV = $lnav->render();

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_complete.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

	} else {

		$_TITLE   = '';
		$_MESSAGE = 'The password change command <b>failed</b>';
		$_MESSAGE .= 'The password for user ' . $save . ' has not been changed';
		$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);
		$_BUTTON_RETRY = true;
		$_BUTTON_RETRY_LINK = 'return Overwrite(\'userchangepw.php?uid=' . $save . '\')';

		$_DIALOG_CONTENT = File::parseFile('./admin/content/action_error.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();    
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
	}
?>
