<?php
/*
 * Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
 */

// abstract final class
class File {
	function readFile($filename) {
		$fd = fopen($filename, "r");
		$contents = fread($fd, filesize($filename));
		fclose($fd);
		return $contents;
	}

	function readFileEscape($filename) {
		return addslashes(File::readFile($filename));
	}

	function parseFile($filename) {
		ob_start();
		ob_implicit_flush(0);
		include($filename);
		$contents = ob_get_contents();
		ob_end_clean();
		return $contents;
	}
}

?>
