<?php

class LNav {
	var $links;
	var $texts;
	
	function LNav() {
	}

	function add($text, $link) {
		if ($text === "" || $link === "") {
			return false;
		}	
		$this->texts[] = $text;
		$this->links[] = $link;
	}

	function render() {
		$retval = '';
		if (count($this->links) != count($this->texts)) {
			return $retval;
		}
		
		$notfirst = false;
		for ($i = 0; $i < count($this->texts); $i++) {
			if ($notfirst) {
				$retval .= ' | ';
			} else {
				$notfirst = true;
			}
			$retval .= '<a class="localnav" ' .
				'href="#' . 
					strtolower(strip_tags($this->texts[$i])) . 
				'" ' .
				'onClick="' . $this->links[$i] . '" ' . '>' .
				$this->texts[$i] . '</a>' . "\n";
		}
		return $retval;
	}
}

?>
