<?php
/*
 * Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
 */

	session_register('passthru_user');
	session_register('passthru_newpw');
	session_register('passthru_oldpw');

	if (! isset($passthru_newpw)) {
		$passthru_user  = $user;
		$passthru_newpw = Authenticate::encryptString($newpw, $session_key);
		$passthru_oldpw = Authenticate::encryptString($oldpw, $session_key);

		// the x=1 is to keep netscape from getting confused
		gotoURL("$_SELF?x=1");
		return;

	} else {

		$success = Authenticate::changepw();
		unset($passthru_user);
		unset($passthru_newpw);
		unset($passthru_oldpw);
		session_unregister('passthru_user');
		session_unregister('passthru_newpw');
		session_unregister('passthru_oldpw');

	}

	$_ADDITIONAL_HEADERS = '';
	$_TITLEICON = 'main_ico_changepassword.gif';
	$_TITLEGRAPHIC = 'main_title_changepassword.gif';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'u_password\')';

	if ($success) {

		$_TITLE = '';
		$_MESSAGE = 'Your password has been changed';

		$_DIALOG_CONTENT = File::parseFile("./user/content/action_complete.php");
		$_ACTIVE_AREA = File::parseFile('./user/template/dialog.html');

	} else {

		$_TITLE   = '';
        	$_MESSAGE = 'Failed to change change your password.';
        	$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);
		$_BUTTON_RETRY = true;
		$_BUTTON_RETRY_LINK = 'return Overwrite(\'password.php\')';
	 
		$_DIALOG_CONTENT = File::parseFile('./user/content/action_error.php');
		$_ACTIVE_AREA = File::parseFile('./user/template/dialog.html');

	}

?>
