#!/bin/bash
#
# Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
#

NAME="Volution(TM) Messaging Server"
KDESU=kdesu
KDEDIRS=/opt/kde2
CURDIR=`dirname $0`
LAUNCH_CMD="$CURDIR/installation/openif $CURDIR/installation/volutionmsg-install.xml"

if test `id -u` -eq 0 ; then
    exec $LAUNCH_CMD > /var/tmp/install.output 2>&1
else
    if [ -x $KDEDIRS/bin/$KDESU ]; then
        $KDEDIRS/bin/$KDESU --caption "$NAME installation" $LAUNCH_CMD > /var/tmp/install.output 2>&1
    fi
fi

