#
# script to install this mpack.
#

# volution should be installed.
rpm -qa | grep volutionmsg-1.0.0-2 > /dev/null || {
	echo "Volution Messaging Server 1.0.0 must be installed prior to this mpack"
	exit 1
}

rpm -qa | grep volutionmsg-mpack-1.0.1 > /dev/null && {
	echo "Volution Messaging Server Update 1.0.1 is already installed"
	exit 1
}

echo "Beginning installation of volutionmsg-mpack-1.0.1"

# remove old ones, or even if they are newer, hmm, could be smarter about this.
rpm -e cyrus-sasl
rpm -e imp
rpm -e horde

rpm -i cyrus*
rpm -i hord*
rpm -i imp*
rpm -i volution*

# reconfigure imp.
/opt/lsb-caldera.com-volution/msg/bin/msgimpsetup

echo "Installation of volutionmsg-mpack-1.0.1 completed"
