<!--
/*
 * Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
 */

var formToggle = 'more';

function Validate() {
	var errors = '';
	var f = document.usercreateForm;

	// Check required fields
	if (isblank(f._uid.value)) {
		errors += 'User Id is required and cannot be left blank\n';
	}

	if (isblank(f._mail.value)) {
		errors += 'Mail Address is required and cannot be left blank\n';
	}

	if (isblank(f._pw.value)) {
		errors += 'Password is required and cannot be left blank\n';
	}

	if (isblank(f._confirmpw.value)) {
		errors += 'Confirm Password is required and cannot be left blank\n';
	}

	// Check for invalid characters
	if (f._uid.value.match(/[*\\()]/)) {
		errors += 'User Id may not contain a *, \\, (, or ) ';
	}

	if (f._mail.value.match(/[@*\\()\"\'\s]/)) {
		errors += 'Mail Address may not contain a @, *, \\, (, ), ", \', or space';
	}

	if ((! isblank(f._altmail.value)) && f._altmail.value.match(/[@*\\()\"\'\s]/)) {
		errors += 'Alternate Mail may not contain a @, *, \\, (, ), ", \', or space';
	}

	var t = f._forward.value.match(/@/g);
	if (t && t.length > 1) {
		errors += 'Forward Mail may contain a most 1 \'@\'';
	}

	// Check passwords match
	if (f._pw.value != f._confirmpw.value) {
		errors += "The password didn't not match the confirmed password.\n";
	}

	if (errors) {
		alert("Errors in form:\n\n" + errors);
		return false;
	}

	return true;
}

function Submit() {
	if (Validate()) {
		document.usercreateForm.submit();
	}

	return false;
}

function Focus() {
	document.usercreateForm._uid.focus();

	return false;
}

function Clear() {
	document.usercreateForm._uid.value = '';
	document.usercreateForm._lastname.value = '';
	document.usercreateForm._firstname.value = '';
	document.usercreateForm._mail.value = '';
	document.usercreateForm._pw.value = '';
	document.usercreateForm._confirmpw.value = '';
	document.usercreateForm._wphone.value = '';
	document.usercreateForm._hphone.value = '';
	document.usercreateForm._mphone.value = '';
	document.usercreateForm._pager.value = '';
	document.usercreateForm._fax.value = '';
	document.usercreateForm._title.value = '';
	document.usercreateForm._location.value = '';
	document.usercreateForm._altmail.value = '';
	document.usercreateForm._forward.value = '';
	Focus();

	return false;
}

function AdvOptionsOpen(id) {

	if (document.all){

		if (formToggle == 'more') {

			formToggle = 'less';
			document.all[id].style.display = '';
			document.all.more.innerText = "Fewer Options <<";

		} else {

			formToggle = 'more';
			document.all[id].style.display = 'none';
			document.all.more.innerText = "More Options >>";

		}

	} else if (document.getElementById){

		if (formToggle == 'more') {

			formToggle = 'less';
			document.getElementById(id).style.display = 'block';
			document.getElementById('more').innerText = "Less Options <<";

		} else {

			formToggle = 'more';
			document.getElementById(id).style.display = 'none';
			document.getElementById('more').innerText = "More Options >>";

		}
	}

	return false;
}

// -->
