#!/usr/bin/perl
#
# Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
#

use CGI;
#use FileHandle;
#use IPC::Open2;

my $conf = '/etc/opt/lsb-caldera.com-volution/msg/msg.conf';
my @tmp = split(":", `grep BIN $conf`);
my $BIN = $tmp[1];
chomp $BIN;
my @tmp = split(":", `grep "TMP:" $conf`);
my $TMP = $tmp[1];
chomp $TMP;

# Get/Set defaults
my $pgpath = $ENV{SCRIPT_NAME}; # start with the script location
$pgpath =~ s/(\/\w+)\/.*/$1/;   # get only first directory
$pgpath .= '/pg.php';		# assume pg.php lives there

my $q = new CGI;

my $err = 0;
my $uid = $q->param("uid") || $err++;
my $sid = $q->param("sid") || $err++;
my $key = $q->param("key") || $err++;
#Perl is not handling the cookie value ending with '=', drops it
#my $key = $q->cookie('session_key');

if ($err > 0) {
	print "Location: $pgpath/action_error.php\n\n";
	exit 0;
}


my $sessionFile = "$TMP/sess_$sid";
print "Content-Type: application/x-msdownload\n";
#print "Content-Disposition: attachment;\n\n";
print "\n";

open(fd, "| $BIN/msgexec $sessionFile $BIN/msggenclientconfig $uid 2>&1");
print (fd "$key\n");
close (fd);

exit 0;
