<?php
/*
 * Copyright (C) 2001 Caldera International, Inc.  All Rights Reserved.
 */

class Browser {
	var $agent;
	var $version;
	var $platform;

	function Browser() {
		global $HTTP_USER_AGENT;

		if (ereg('Opera ([0-9].[0-9]{1,2})',
			$HTTP_USER_AGENT, $version)) {
    			$this->agent    = 'Opera';
    			$this->version  = $version[1];
		} elseif (ereg('MSIE ([0-9].[0-9]{1,2})',
			$HTTP_USER_AGENT, $version)) {
    			$this->agent    = 'IE';
    			$this->version  = $version[1];
		} elseif (ereg('Konqueror/([0-9].[0-9])',
			$HTTP_USER_AGENT, $version)) {
    			$this->agent    = 'Konqueror';
    			$this->version  = $version[1];
		} elseif (ereg('Netscape6/([0-9].[0-9])',
			$HTTP_USER_AGENT, $version)) {
    			$this->agent    = 'Netscape6';
    			$this->version  = $version[1];
		} elseif (ereg('Mozilla/([0-9].[0-9]{1,2})',
			$HTTP_USER_AGENT, $version)) {
    			$this->agent    = 'Netscape';
    			$this->version  = $version[1];
		} else {
    			$this->agent    = 'Other';
    			$this->version  = 0;
		}

		if (ereg('Win', $HTTP_USER_AGENT)) {
			$this->platform = 'Win';
		} elseif (ereg('Mac', $HTTP_USER_AGENT)) {
			$this->platform = 'Mac';
		} elseif (ereg('Linux', $HTTP_USER_AGENT)) {	
			$this->platform = 'Linux';
		} elseif (ereg('Linux', $HTTP_USER_AGENT)) {	
			$this->platform = 'Unix';
		} else {
			$this->platform = 'Other';
		}
	}

	function getNN() {
		if ($this->agent == 'IE') {
			return false;
		} elseif ($this->agent == 'Opera') {
			return true;
		} elseif ($this->agent == 'Netscape6') {
			return false;
		}
		return true;
	}

	function debug() {
		global $HTTP_USER_AGENT;

		$retval  = "<!--$HTTP_USER_AGENT-->\n";
		$retval .= "<!--" .$this->agent . "-->\n";
		$retval .= "<!--" .$this->version . "-->\n";
		$retval .= "<!--" .$this->platform . "-->\n";

		return $retval;
	}
}

?>
